# gcu::SymbolResidue Struct Reference

`#include <gcu/residue.h>`

List of all members.

## Public Attributes

Residue * | res
bool | ambiguous

## Detailed Description

Structure used to store a collection of standard atoms groups, ndexed by symbol.

Definition at line 44 of file gcu/residue.h.

## Member Data Documentation

Residue* gcu::SymbolResidue::res

The Residue* representing the atoms group. A symbol is ambiguous if it can also represent a single atom, such as Ac, or Pr. Two Residue instances can't share the same symbol.

Definition at line 50 of file gcu/residue.h.

bool gcu::SymbolResidue::ambiguous

whether the symbol is ambiguous.

Definition at line 54 of file gcu/residue.h.

The documentation for this struct was generated from the following file:

- gcu/residue.h